﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using HeuristicLab.Problems.Instances;

namespace HeuristicLab.Problems.MultiObjectiveTestFunctions{
  internal class MOTFDataDescriptor : IDataDescriptor {
    public string Name { get { return Evaluator.ItemName + " Function"; } }

    public string Description {
      get { return Evaluator.Description; }
    }

    internal IMultiObjectiveTestFunction Evaluator { get; set; }

    public MOTFDataDescriptor(IMultiObjectiveTestFunction evaluator) {
      Evaluator = evaluator;
    }
  }
}
